Subject: Re: size_t vs "unsigned long"

From: Junio C Hamano <[email-masked]>
Date: Wed, 03 Oct 2007 14:05:13 -0700

Pierre Habouzit <[email-masked]> writes:

>   Well, afaict, on every linux archs I know of, unsigned longs and
> size_t are the same. Though, I don't know if that holds for the msys
> port, and if that does not holds, then a s/unsigned long/size_t/ would
> help them. Else, for consistency sake, I believe the change is a good
> one.

FWIW, I am already getting bitten on a FC box with gcc 4.1.1
20060525 that warns about the wrong type being passed, as I
usually build things with -Werror; the issue is not just "they
are of the same underlying type".